<?php 

/*
* Template for Choice
*/

?>
<div id="entusiastics-choices-form">

	<div class="entusiastics-choice-title">
		<p>
			<strong><?php _e('Respuesta', 'entusiastics-quiz-game')?>:</strong>
		</p>
	</div>

	<div class="entusiastics-choices-form-content">
		<div class="entusiastics-choice-textarea-wrapper">
			<textarea class="entusiastics-choice-textarea" name="<?php echo empty($choice->id)?'answers[]':'answer'.$choice->id?>"><?php echo stripslashes(@$choice->choice)?></textarea>
		</div>

		<div class="entusiastics-choice-goto-section">

			<div class="entusiastics-choice-goto-title">
				<strong><?php _e('Al responder a la pregunta ir a:', 'entusiastics-quiz-game')?></strong>
			</div>

			<select name="<?php echo empty($choice->id)?'goto[]':'goto'.$choice->id?>">

				<option value="next"><?php _e('Siguiente pregunta','entusiastics-quiz-game')?></option>
				<option value="finalize" <?php if(!empty($choice->goto) and $choice->goto =='finalize') echo 'selected'?>><?php _e('Terminar el Quizz.(Última respuesta)','entusiastics-quiz-game')?></option>
				<?php if(sizeof($other_questions)):?>
					<option disabled><?php _e('- Elegir pregunta -', 'entusiastics-quiz-game')?></option>

					<?php foreach($other_questions as $other_question):?>
						<option value="<?php echo $other_question->id?>" <?php if(!empty($choice->id) and $choice->goto == $other_question->id) echo 'selected'?>><?php echo $other_question->question?></option>
					<?php endforeach;?>

				<?php endif;?>

			</select>

			<div class="entusiastics-choice-goto-list-description">
				<strong><?php _e('Opciones de la respuesta:', 'entusiastics-quiz-game') ?></strong>

				<ul class="entusiastics-choice-goto-list">
					<li class="entusiastics-choice-goto-item"><?php _e('<strong>Siguiente respuesta:</strong> avanza directamente a la <br/> siguiente pregunta que viene despues de esta en la lista.', '')?></li>
					<li class="entusiastics-choice-goto-item"><?php _e('<strong>Terminar el Quizz:</strong> Seleccionar para definir <br/> las últimas respuestas del Quizz.', '')?></li>
					<li class="entusiastics-choice-goto-item"><?php _e('<strong>Elegir pregunta:</strong> Sirve para definir exactamente la siguiente <br/> pregunta a la que ira el quiz si se reponde a esta respuesta.', '')?></li>
				</ul>
			</div>

		</div>

	</div>

	<div class="entusiastics-choice-bottom-section">
		<div class="entusiastics-choice-bottom-profile"><div>
			<p><strong><?php _e('Perfil de la respuesta', 'entusiastics-quiz-game'); ?></strong></p>
		</div>

		<select name="<?php echo empty($choice->id) ? 'profile_id': 'profile_id'.$choice->id?>">

			<?php 

			$_profile = new Profile();
			$profiles = $_profile->getAllProfiles();

			foreach($profiles as $profile): ?>
				<option value="<?php echo $profile->id?>" <?php if(!empty($choice->id) and $choice->profile_id == $profile->id) echo 'selected'?>><?php echo $profile->name?></option>
			<?php endforeach;?>

		</select>

		<p class="description"></p>

		<div class="video-section">

			<p><strong><?php _e('Video de la respuesta', 'entusiastics-quiz-game'); ?></strong></p>

			<input id="<?php echo empty($choice->id) ? 'choice_video_url': 'choice_video_url'.$choice->id?>" type="hidden" data-video="media" name="<?php echo empty($choice->id) ? 'choice_video_url': 'choice_video_url'.$choice->id?>" value="<?php echo @$choice->video_url?>">
			<input id="<?php echo empty($choice->id) ? 'choice_video_id': 'choice_video_id'.$choice->id?>" type="hidden" data-video="media" name="<?php echo empty($choice->id) ? 'choice_video_id': 'choice_video_id'.$choice->id?>" value="<?php echo @$choice->video_id ?>">

			<select name="<?php echo empty($choice->id) ? 'choice_video_type': 'choice_video_type'.$choice->id?>" class="choice_video_type" data-choice="<?php echo empty($choice->id) ? '0': $choice->id; ?>">
				<option value="0"><?php _e('Sin video', 'entusiastics-quiz-game')?></option>
				<option value="library" <?php echo @$choice->video_type == 'library' ? 'selected' : '' ?>><?php _e('Biblioteca de Medios (Video alojado en el propio servidor)', 'entusiastics-quiz-game')?></option>
				<option value="youtube" <?php echo  @$choice->video_type == 'youtube' ? 'selected' : '' ?>><?php _e('Youtube', 'entusiastics-quiz-game')?></option>
				<option value="vimeo" <?php echo @$choice->video_type == 'vimeo' ? 'selected' : '' ?>><?php _e('Vimeo', 'entusiastics-quiz-game')?></option>
			</select>

			<p class="description">
				<?php _e('Seleccione el tipo de video que va ha utilizar. (No seleccionar ningun tipo si no se quiere video en la respuesta). El video solo se mostrará si la pregunta es la última del quizz.', 'entusiastics-quiz-game')?>
			</p>

			<div id="<?php echo empty($choice->id) ? 'choice_library_youtube_video': 'choice_library_youtube_video'.$choice->id?>" style="display:<?php echo @$choice->video_type == 'youtube' ? '' : 'none' ?>">

				<input type="text" name="<?php echo empty($choice->id) ? 'choice_video_url': 'choice_video_url'.$choice->id?>" data-video="youtube" size="40" value="<?php echo @$choice->video_url; ?>" />
				<p class="description">
					<?php _e('Insertar el código que viene con el enlace del video de Youtube. https://www.youtube.com/watch?v=xxxxxxxxxxx', 'entusiastics-quiz-game')?>
				</p>

			</div>

			<div id="<?php echo empty($choice->id) ? 'choice_library_vimeo_video': 'choice_library_vimeo_video'.$choice->id?>" style="display:<?php echo @$choice->video_type == 'vimeo' ? '' : 'none' ?>">	
				<label for="<?php echo empty($choice->id) ? 'video_url_vimeo': 'video_url_vimeo'.$choice->id?>">
					<?php _e('URL del video de Vimeo.', 'entusiastics-quiz-game')?>
				</label>
				<input type="text" name="<?php echo empty($choice->id) ? 'video_url_vimeo': 'video_url_vimeo'.$choice->id?>" data-video="vimeo" size="40" value="<?php echo @$choice->video_url; ?>" />
				<p class="description">
					<?php _e('Introduzca la url del video de vimeo.', 'entusiastics-quiz-game')?>
				</p>
			</div>

			<div id="<?php echo empty($choice->id) ? 'choice_video_media_upload_row': 'choice_video_media_upload_row'.$choice->id?>" style="display:<?php echo @$choice->video_type == 'library' ? '' : 'none' ?>">

				<label>
					<?php _e('Video de la Biblioteca de Medios', 'entusiastics-quiz-game')?>
				</label>

				<input id="<?php echo empty($choice->id) ? 'choice_media_video_title_text': 'choice_media_video_title_text'.$choice->id?>" type="hidden" value="<?php _e('Seleccione o suba el video de su elección', 'entusiastics-quiz-game') ?>">
				<input id="<?php echo empty($choice->id) ? 'choice_media_video_text_button': 'choice_media_video_text_button'.$choice->id?>" type="hidden" value="<?php _e('Usar este video', 'entusiastics-quiz-game') ?>">

				<?php if( $video = wp_get_attachment_image_src( @$choice->video_id ) ) { ?>

					<a href="#" class="upload-custom-video hidden button-primary">
						<?php echo _e('Subir video', 'entusiastics-quiz-game'); ?>
					</a>

					<a href="#" class="delete-custom-video button-primary">
						<?php echo _e('Eliminar video', 'entusiastics-quiz-game'); ?>
					</a>

					<input id="<?php echo empty($choice->id) ? 'choice_video_url': 'choice_video_url'.$choice->id?>" type="hidden" data-video="media" name="<?php echo empty($choice->id) ? 'choice_video_url': 'choice_video_url'.$choice->id?>" value="' . $video_url . '">
					<input id="<?php echo empty($choice->id) ? 'choice_video_id': 'choice_video_id'.$choice->id?>" type="hidden" data-video="media" name="<?php echo empty($choice->id) ? 'choice_video_id': 'choice_video_id'.$choice->id?>" value="' . $video_id . '">

				<?php } else { ?>

					<a href="#" class="upload-custom-video button-primary">
						<?php echo _e('Subir video', 'entusiastics-quiz-game'); ?>
					</a>

					<a href="#" class="delete-custom-video hidden button-primary">
						<?php echo _e('Eliminar video', 'entusiastics-quiz-game'); ?>
					</a>

				<?php } ?>

				<div id="<?php echo empty($choice->id) ? 'choice_video_media_preview_row': 'choice_video_media_preview_row'.$choice->id?>" style="display:none">

					<div id="<?php echo empty($choice->id) ? 'entusiastics_choice_video_uploader_preview': 'entusiastics_choice_video_uploader_preview'.$choice->id?>">

						<?php if($video = wp_get_attachment_image_src(@$choice->video_id)) { ?>

							<a href="#" class="upload-custom-img">

								<div id='<?php echo empty($choice->id) ? 'choice_video_preview': 'choice_video_preview'.$choice->id?>' class='entusiastics-video-preview-wrapper'>

									<div class="badge">
										<a class="badge-link" href="#" class="delete-custom-badge-video">X</a>
									</div>

									<img src='<?php echo $video[0] ?>' />

								</div>

							</a>

						<?php } else { ?>

							<div id='<?php echo empty($choice->id) ? 'choice_video_preview': 'choice_video_preview'.$choice->id?>' class='entusiastics-video-preview-wrapper hidden'>
								<span id="video_url_text"></span>
							</div>

							<div id='<?php echo empty($choice->id) ? 'choice_video_preview_no_video': 'choice_video_preview_no_video'.$choice->id?>' class='entusiastics-video-preview-wrapper no-video'>
								<span class="preview-text">
									<?php _e('Ningún video seleccionado')?>
								</span>
							</div>

						<?php } ?>

						<p class="description">
							<?php _e('Video del Quiz.', 'entusiastics-quiz-game') ?>
						</p>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="entusiastics-choice-bottom-delete">
		<?php if(!empty($choice->id)):?>
			<input class="entusiastic-delete-checkbox" type="checkbox" name="dels[]" value="<?php echo $choice->id?>" />
			<strong><?php _e('Seleccionar para eliminar esta respuesta.', 'entusiastics-quiz-game')?></strong>
		<?php endif;?>
	</div>
</div>
</div>